package com.bocloud.cmp.model.hmc;

/**
 * HMC主机以太网适配器物理端口
 *
 * @author ShaolongTan
 */
@Deprecated
public class HmcHeaPhysicalPortModel {
    private Long id;
    private Long heaId;
    private String portLocation;
    private Integer portId;
    private String portType;
    private String connectionSpeed;
    private Boolean linkUp;
    private String duplexMode;
    private Boolean flowControl;
    private Boolean transmitFlowControl;
    private Boolean receiveFlowControl;
    private String maxReceivePacket;
    private Integer portGroupId;
    private Integer multiCoreScaling;
    private String supportedMultiCoreScaling;
    private String owner;

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public Long getHeaId() {
        return heaId;
    }

    public void setHeaId(Long heaId) {
        this.heaId = heaId;
    }

    public String getPortLocation() {
        return portLocation;
    }

    public void setPortLocation(String portLocation) {
        this.portLocation = portLocation;
    }

    public Integer getPortId() {
        return portId;
    }

    public void setPortId(Integer portId) {
        this.portId = portId;
    }

    public String getPortType() {
        return portType;
    }

    public void setPortType(String portType) {
        this.portType = portType;
    }

    public String getConnectionSpeed() {
        return connectionSpeed;
    }

    public void setConnectionSpeed(String connectionSpeed) {
        this.connectionSpeed = connectionSpeed;
    }

    public Boolean getLinkUp() {
        return linkUp;
    }

    public void setLinkUp(Boolean linkUp) {
        this.linkUp = linkUp;
    }

    public String getDuplexMode() {
        return duplexMode;
    }

    public void setDuplexMode(String duplexMode) {
        this.duplexMode = duplexMode;
    }

    public Boolean getFlowControl() {
        return flowControl;
    }

    public void setFlowControl(Boolean flowControl) {
        this.flowControl = flowControl;
    }

    public Boolean getTransmitFlowControl() {
        return transmitFlowControl;
    }

    public void setTransmitFlowControl(Boolean transmitFlowControl) {
        this.transmitFlowControl = transmitFlowControl;
    }

    public Boolean getReceiveFlowControl() {
        return receiveFlowControl;
    }

    public void setReceiveFlowControl(Boolean receiveFlowControl) {
        this.receiveFlowControl = receiveFlowControl;
    }

    public String getMaxReceivePacket() {
        return maxReceivePacket;
    }

    public void setMaxReceivePacket(String maxReceivePacket) {
        this.maxReceivePacket = maxReceivePacket;
    }

    public Integer getPortGroupId() {
        return portGroupId;
    }

    public void setPortGroupId(Integer portGroupId) {
        this.portGroupId = portGroupId;
    }

    public Integer getMultiCoreScaling() {
        return multiCoreScaling;
    }

    public void setMultiCoreScaling(Integer multiCoreScaling) {
        this.multiCoreScaling = multiCoreScaling;
    }

    public String getSupportedMultiCoreScaling() {
        return supportedMultiCoreScaling;
    }

    public void setSupportedMultiCoreScaling(String supportedMultiCoreScaling) {
        this.supportedMultiCoreScaling = supportedMultiCoreScaling;
    }

    public String getOwner() {
        return owner;
    }

    public void setOwner(String owner) {
        this.owner = owner;
    }
}
